summaryrefslogtreecommitdiffstats
path: root/network/opendmarc/opendmarc.SlackBuild
diff options
context:
space:
mode:
author Mario Preksavec2019-05-17 18:20:52 +0200
committer Willy Sudiarto Raharjo2019-05-17 18:20:52 +0200
commitfe01e850a8271f3dc25a72e2143fef816623d03b (patch)
treec9301b38b0e998240048507289294a95cb2dd1a3 /network/opendmarc/opendmarc.SlackBuild
parent39262ecf08a2b14804e4c2bd488790ff6ded6e72 (diff)
downloadslackbuilds-fe01e850a8271f3dc25a72e2143fef816623d03b.tar.gz
network/opendmarc: Added (DMARC milter and library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/opendmarc/opendmarc.SlackBuild')
-rw-r--r--network/opendmarc/opendmarc.SlackBuild162
1 files changed, 162 insertions, 0 deletions
diff --git a/network/opendmarc/opendmarc.SlackBuild b/network/opendmarc/opendmarc.SlackBuild
new file mode 100644
index 0000000000..1747782641
--- /dev/null
+++ b/network/opendmarc/opendmarc.SlackBuild
@@ -0,0 +1,162 @@
+#!/bin/sh
+
+# Slackware build script for opendmarc
+
+# Copyright 2019 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opendmarc
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# Bail if user or group isn't valid on your system
+if ! grep ^$PRGNAM: /etc/passwd 2>&1 > /dev/null; then
+ cat << EOF
+
+ You must have a $PRGNAM user to run this script
+
+ # groupadd -g 362 $PRGNAM
+ # useradd -u 362 -d /var/run/$PRGNAM -s /bin/false -g $PRGNAM $PRGNAM
+
+EOF
+
+ if grep ^postfix: /etc/passwd 2>&1 > /dev/null; then
+ cat << EOF
+
+ You might want to add postfix user to the group
+
+ # usermod -a -G $PRGNAM postfix
+
+EOF
+ fi
+ exit
+fi
+
+case ${WITH_MYSQL,,} in
+ y) SQLARGS=--with-sql-backend ;;
+ *) SQLARGS= ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# http://batleth.sapienti-sat.org/projects/opendmarc/
+# ... and a few more
+for i in $CWD/patches/* ; do patch -p1 <$i ; done
+
+autoreconf -vif
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --with-spf \
+ $SQLARGS \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Install init script
+install -D -m0755 -oroot -groot contrib/init/generic/$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM.new
+sed -e "s|^\(prefix=\).*|\1|" \
+ -e "s|^\(exec_prefix=\).*|\1/usr|" \
+ -e "s|/etc/sysconfig/opendmarc|/etc/default/opendmarc|" \
+ -i $PKG/etc/rc.d/rc.$PRGNAM.new
+
+# Configure defaults
+install -D -m0644 -oroot -groot $PRGNAM/$PRGNAM.conf.sample $PKG/etc/$PRGNAM.conf.new
+sed -e "s|^# \(AuthservID\) .*|\1 HOSTNAME|" \
+ -e "s|^# \(HistoryFile\) .*|\1 /var/run/$PRGNAM/$PRGNAM.dat|" \
+ -e "s|^# \(Socket\) .*|\1 unix:/var/run/$PRGNAM/$PRGNAM.sock|" \
+ -e "s|^# \(SPFIgnoreResults\) .*|\1 true|" \
+ -e "s|^# \(SPFSelfValidate\) .*|\1 true|" \
+ -e "s|^# \(Syslog\) .*|\1 true|" \
+ -e "s|^# \(UMask\) .*|\1 007|" \
+ -e "s|^# \(UserID\) .*|\1 $PRGNAM:$PRGNAM|" \
+ -i $PKG/etc/$PRGNAM.conf.new
+
+# Home directory for runtime data
+mkdir -p $PKG/var/run/$PRGNAM
+chown $PRGNAM:$PRGNAM $PKG/var/run/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a RELEASE_NOTES $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}